@font-face {
  font-family: 'Inter';
  src: url('fonts/Inter24pt-Regular.woff') format('woff');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Inter';
  src: url('fonts/Inter24pt-Bold.woff2') format('woff2'),
       url('fonts/Inter24pt-Bold.woff') format('woff');
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Montserrat';
  src: url('fonts/Montserrat-Regular.woff2') format('woff2'),
       url('fonts/Montserrat-Regular.woff') format('woff');
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

:root {
  --color-dark-blue: #0c275b;
  --color-green: #8dc63f;
  --color-bg: #e4ecf3;
}

body {
  background-color: var(--color-bg);
  font-family: 'Montserrat', sans-serif;
  color: var(--color-dark-blue);
}

.container {
  width: 100%;
  max-width: 1280px;
  margin: 0 auto;
  padding: 0 20px;
}

.stub {
  min-height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
}

.stub__inner {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  padding: 60px 0;
}

.stub__logo {
  width: 100%;
  max-width: 370px;
  margin-bottom: 90px;
}

.stub__logo img {
  width: 100%;
  height: auto;
}

.stub__title {
  font-family: 'Inter', sans-serif;
  font-size: 58px;
  font-style: normal;
  font-weight: 700;
  line-height: 1.46;
  letter-spacing: 1.16px;
  margin-bottom: 30px;
}

.stub__text {
  font-family: 'Montserrat', sans-serif;
  font-size: 20px;
  font-weight: 500;
  letter-spacing: 0.4px;
  line-height: 1.9;
  max-width: 620px;
  margin-bottom: 40px;
}

/* button */

.btn {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 0;
  transition: all .1s linear;
  font-family: 'Montserrat', sans-serif;
  font-size: 16px;
  font-weight: 600;
  letter-spacing: 0.64px;
  text-transform: uppercase;
  text-decoration: none;
  position: relative;
  cursor: pointer;
  border: none;
  gap: 0 10px;
  z-index: 1;
  line-height: 1.4;
}

.btn:has(.btn__icon) {
  padding-right: 64px;
}

.btn:hover .btn__bg,
.btn:focus-visible .btn__bg {
  width: calc(100% + 58px);
}

.btn__inner {
  position: relative;
}

.btn__bg {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  border: 1px solid transparent;
  border-radius: 56px;
  background-color: var(--color-green);
  transition: all .2s ease;
}

.btn__text {
  position: relative;
  z-index: 1;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  min-height: 60px;
  padding: 6px 24px;
  color: var(--color-dark-blue);
}

.btn__icon {
  position: absolute;
  z-index: 0;
  width: 60px;
  aspect-ratio: 1;
  top: 50%;
  right: 0;
  transform: translate(0, -50%);
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid transparent;
  border-radius: 50%;
  background-color: var(--color-green);
}

.btn__icon svg {
  width: 16px;
  height: 16px;
}

@media (max-width: 767px) {
  .stub__logo {
    max-width: 260px;
    margin-bottom: 60px;
  }

  .stub__title {
    font-size: 32px;
    line-height: 1.3;
    letter-spacing: 0.6px;
    margin-bottom: 20px;
  }

  .stub__text {
    font-size: 16px;
    line-height: 1.6;
  }

  .btn {
    font-size: 14px;
  }
}
